import * as React from 'react';
import { Store, FormInstance, FieldData, ValidateMessages, Callbacks } from './interface';
declare type BaseFormProps = Omit<React.FormHTMLAttributes<HTMLFormElement>, 'onSubmit'>;
declare type RenderProps = (values: Store, form: FormInstance) => JSX.Element | React.ReactNode;
export interface FormProps extends BaseFormProps {
    initialValues?: Store;
    form?: FormInstance;
    children?: RenderProps | React.ReactNode;
    fields?: FieldData[];
    name?: string;
    validateMessages?: ValidateMessages;
    __COMPATIBILITY_USAGE_OR_YOU_WILL_BE_FIRED__?: {
        NOT_CONTAIN_FORM?: boolean;
        HOOK_MARK: string;
    };
    onValuesChange?: Callbacks['onValuesChange'];
    onFieldsChange?: Callbacks['onFieldsChange'];
    onFinish?: (values: Store) => void;
}
declare const Form: React.FunctionComponent<FormProps>;
export default Form;
